import type { H3Event } from 'h3';
import type { Storage } from 'unstorage';
import type { MultiCacheRuntimeConfig, MutliCacheServerOptions } from './../../../types';
export declare function getCacheInstance(event: H3Event): Storage;
/**
 * Check the authorization for API endpoints.
 *
 * Throws an error if authorization failed.
 */
export declare function checkAuth(event: H3Event, providedRuntimeConfig?: MultiCacheRuntimeConfig, providedServerOptions?: MutliCacheServerOptions): Promise<void>;
