import { createStorage } from "unstorage";
import { useRuntimeConfig } from "#imports";
import serverOptions from "#multi-cache-server-options";
const runtimeConfig = useRuntimeConfig();
const cacheContext = {};
if (runtimeConfig.multiCache.component) {
  cacheContext.component = createStorage(serverOptions.component?.storage);
}
if (runtimeConfig.multiCache.data) {
  cacheContext.data = createStorage(serverOptions.data?.storage);
}
if (runtimeConfig.multiCache.route) {
  cacheContext.route = createStorage(serverOptions.route?.storage);
}
export function loadCacheContext() {
  return cacheContext;
}
